Debian Bug report logs - #298814
bittorrent: New upstream version available

version graph

Package: bittorrent; Maintainer for bittorrent is Michael Janssen <jamuraa@debian.org>; Source for bittorrent is src:bittorrent.

Reported by: Guido Trotter <ultrotter@debian.org>

Date: Thu, 10 Mar 2005 03:03:04 UTC

Severity: wishlist

Merged with 302613, 309904, 329707, 365331

Found in versions 3.4.2-3, bittorrent/3.4.2-5

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ultrotter@debian.org, Michael Janssen <jamuraa@debian.org>:
Bug#298814; Package bittorrent. Full text and rfc822 format available.

Acknowledgement sent to Guido Trotter <ultrotter@debian.org>:
New Bug report received and forwarded. Copy sent to ultrotter@debian.org, Michael Janssen <jamuraa@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Guido Trotter <ultrotter@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: bittorrent: New upstream version available
Date: Wed, 9 Mar 2005 18:56:41 -0800
Package: bittorrent
Version: 3.4.2-3
Severity: wishlist


Hi... Bittorrent 4.0 is available! Can you please package it?

Thanks,

Guido



Merged 298814 302613. Request was from Michael Janssen <jamuraa@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 298814 302613 309904. Request was from sacrificial-spam-address@horizon.com to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#298814; Package bittorrent. Full text and rfc822 format available.

Acknowledgement sent to Michael Janssen <jamuraa@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #14 received at 298814@bugs.debian.org (full text, mbox):

From: Michael Janssen <jamuraa@debian.org>
To: 298814@bugs.debian.org
Subject: Reason why these bugs will not be fixed.
Date: Fri, 20 May 2005 09:13:14 -0500
These bugs deserve a note on them why they aren't fixed yet.  

It is not possible for me to package the new BitTorrent (anything 4.0
or beyond) because of restrictions of the new license.   There are
basically two problems with it: 
   1) The license has a "choice of venue" clause which requires that
      everyone submit to the laws of California, which fails the DFSG. 
      This doesn't bother me too much, I would just package it into
      non-free. 
   2) The license requires that versions be available for 6 months
      after they are offered.   This is something we don't require 
      our mirror network to adhere to and we can't really ensure in 
      general even though snapshot.debian.net exists. 

Currently the authors have agreed by email to remove the problem
clause with choice of venue but have not agreed to remove the "keep
old versions around" clause. 

For more info on the discussion of the new license: 
http://lists.debian.org/debian-legal/2005/04/msg00008.html
http://lists.debian.org/debian-legal/2005/03/msg00181.html
http://lists.debian.org/debian-legal/2005/04/msg00053.html

-- 
Michael Janssen --- Jamuraa --- jamuraa@base0.net --- jamuraa@debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Janssen <jamuraa@debian.org>:
Bug#298814; Package bittorrent. Full text and rfc822 format available.

Acknowledgement sent to Guido Trotter <ultrotter@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Janssen <jamuraa@debian.org>. Full text and rfc822 format available.

Message #19 received at 298814@bugs.debian.org (full text, mbox):

From: Guido Trotter <ultrotter@debian.org>
To: 298814@bugs.debian.org
Subject: Any news about licensing?
Date: Mon, 26 Sep 2005 21:12:15 +0200
Hi!

Are there any news about bittorrent's licence? Will it be possible to have the
new version included in Debian? Otherwise it might just be sensible, even if
sad, to remove it, rather than continue to ship the old one forever...

What do you think?

Thanks!

Guido



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#298814; Package bittorrent. Full text and rfc822 format available.

Acknowledgement sent to Michael Janssen <jamuraa@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #24 received at 298814@bugs.debian.org (full text, mbox):

From: Michael Janssen <jamuraa@debian.org>
To: Guido Trotter <ultrotter@debian.org>, 298814@bugs.debian.org
Subject: Re: Bug#298814: Any news about licensing?
Date: Mon, 26 Sep 2005 14:38:23 -0500
On Mon, 26 Sep 2005, Guido Trotter wrote:

> 
> Hi!
> 
> Are there any news about bittorrent's licence? Will it be possible to have the
> new version included in Debian? Otherwise it might just be sensible, even if
> sad, to remove it, rather than continue to ship the old one forever...
> 
> What do you think?
> 
> Thanks!
> 
> Guido

I have seen some movement on licensing, but I haven't gotten anything
in around a month on it.  I am thinking of pinging the author again to
see what is up.  I do know that he contacted all the authors and
contributors recently to renounce their copyright on the source in
some movement to control the BitTorrent copyright centrally.

I don't think it is grounds for removal, because the old version works
okay with the exception of a couple bugs.  If the license never
changes however I will probably focus on fixing some of those bugs
myself instead of having upstream fix it.

-- 
Michael Janssen --- Jamuraa --- jamuraa@base0.net --- jamuraa@debian.org



Merged 298814 302613 309904 329707. Request was from Michael Janssen <jamuraa@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Janssen <jamuraa@debian.org>:
Bug#298814; Package bittorrent. Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Janssen <jamuraa@debian.org>. Full text and rfc822 format available.

Message #31 received at 298814@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@debian.org>
To: 298814@bugs.debian.org
Subject: Any news?
Date: Thu, 16 Feb 2006 19:45:00 -0500
[Message part 1 (text/plain, inline)]
I've just seen someone running the version 4.4 client and I'm lusting
after it. Any more movement on the license front? 

-- 
Eric Dorland <eric@kuroneko.ca>
ICQ: #61138586, Jabber: hooty@jabber.com
1024D/16D970C6 097C 4861 9934 27A0 8E1C  2B0A 61E9 8ECF 16D9 70C6

-----BEGIN GEEK CODE BLOCK-----
Version: 3.12
GCS d- s++: a-- C+++ UL+++ P++ L++ E++ W++ N+ o K- w+ 
O? M++ V-- PS+ PE Y+ PGP++ t++ 5++ X+ R tv++ b+++ DI+ D+ 
G e h! r- y+ 
------END GEEK CODE BLOCK------
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Janssen <jamuraa@debian.org>:
Bug#298814; Package bittorrent. Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Janssen <jamuraa@debian.org>. Full text and rfc822 format available.

Message #36 received at 298814@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@debian.org>
To: 298814@bugs.debian.org
Subject: License Fixed!
Date: Thu, 16 Feb 2006 19:55:04 -0500
[Message part 1 (text/plain, inline)]
My roommate and I have just had a look at the license for the 4.4.0
release and those problematic clauses have been removed!!! Do a diff
on the 4.0.0 license and the 4.4.0 license from the source tarballs
and you'll see. Get packaging :)

-- 
Eric Dorland <eric@kuroneko.ca>
ICQ: #61138586, Jabber: hooty@jabber.com
1024D/16D970C6 097C 4861 9934 27A0 8E1C  2B0A 61E9 8ECF 16D9 70C6

-----BEGIN GEEK CODE BLOCK-----
Version: 3.12
GCS d- s++: a-- C+++ UL+++ P++ L++ E++ W++ N+ o K- w+ 
O? M++ V-- PS+ PE Y+ PGP++ t++ 5++ X+ R tv++ b+++ DI+ D+ 
G e h! r- y+ 
------END GEEK CODE BLOCK------
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#298814; Package bittorrent. Full text and rfc822 format available.

Acknowledgement sent to Michael Janssen <jamuraa@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #41 received at 298814@bugs.debian.org (full text, mbox):

From: Michael Janssen <jamuraa@debian.org>
To: Eric Dorland <eric@debian.org>, 298814@bugs.debian.org
Subject: Re: Bug#298814: Any news?
Date: Thu, 16 Feb 2006 16:55:15 -0800
On Thu, 16 Feb 2006, Eric Dorland wrote:

> I've just seen someone running the version 4.4 client and I'm lusting
> after it. Any more movement on the license front? 
> 
> -- 
> Eric Dorland <eric@kuroneko.ca>
> ICQ: #61138586, Jabber: hooty@jabber.com
> 1024D/16D970C6 097C 4861 9934 27A0 8E1C  2B0A 61E9 8ECF 16D9 70C6

We've had some small movement in the form of the BitTorrent Open
Source Licence 1.1, but it still isn't enough movement to consider it
free according to the debian-legal people.   

The current summary is:
http://lists.debian.org/debian-legal/2005/10/msg00066.html


I can ping the authors again, but I don't think they'll be that
responsive.  It's a pretty big hurdle to them, because they want to be
able to preserve their trademarks, etc. 

At this point I'm seriously considering just taking the package to
non-free.  It has gone through so many improvements the version in
Debian now is almost a shame.

-- 
Michael Janssen --- Jamuraa --- jamuraa@base0.net --- jamuraa@debian.org



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#298814; Package bittorrent. Full text and rfc822 format available.

Acknowledgement sent to Michael Janssen <jamuraa@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #46 received at 298814@bugs.debian.org (full text, mbox):

From: Michael Janssen <jamuraa@debian.org>
To: Eric Dorland <eric@debian.org>, 298814@bugs.debian.org
Subject: Re: Bug#298814: License Fixed!
Date: Fri, 17 Feb 2006 08:11:03 -0800
On Thu, 16 Feb 2006, Eric Dorland wrote:

> My roommate and I have just had a look at the license for the 4.4.0
> release and those problematic clauses have been removed!!! Do a diff
> on the 4.0.0 license and the 4.4.0 license from the source tarballs
> and you'll see. Get packaging :)


The 4.4.0 license is the same as earlier 4.x versions of BitTorrent,
they still use the BOSL 1.1 license, which was covered in the last
email which I sent to you - unless they changed the license without
changing the version number, it still fails at least the tentacles of
evil test.

-- 
Michael Janssen --- Jamuraa --- jamuraa@base0.net --- jamuraa@debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Janssen <jamuraa@debian.org>:
Bug#298814; Package bittorrent. Full text and rfc822 format available.

Acknowledgement sent to Eric Dorland <eric@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Janssen <jamuraa@debian.org>. Full text and rfc822 format available.

Message #51 received at 298814@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@debian.org>
To: Michael Janssen <jamuraa@debian.org>
Cc: 298814@bugs.debian.org
Subject: Re: Bug#298814: License Fixed!
Date: Mon, 20 Feb 2006 01:31:52 -0500
[Message part 1 (text/plain, inline)]
* Michael Janssen (jamuraa@debian.org) wrote:
> On Thu, 16 Feb 2006, Eric Dorland wrote:
> 
> > My roommate and I have just had a look at the license for the 4.4.0
> > release and those problematic clauses have been removed!!! Do a diff
> > on the 4.0.0 license and the 4.4.0 license from the source tarballs
> > and you'll see. Get packaging :)
> 
> 
> The 4.4.0 license is the same as earlier 4.x versions of BitTorrent,
> they still use the BOSL 1.1 license, which was covered in the last
> email which I sent to you - unless they changed the license without
> changing the version number, it still fails at least the tentacles of
> evil test.

Sorry I saw from my cursory examination that those sections had been
changed and they looked OK to me. I didn't realize there were other
problems. It really is a shame there license is so problematic. Please
continue to encourage them to fix the problem parts of their license,
it would be great to have this piece of software in Debian. 

-- 
Eric Dorland <eric@kuroneko.ca>
ICQ: #61138586, Jabber: hooty@jabber.com
1024D/16D970C6 097C 4861 9934 27A0 8E1C  2B0A 61E9 8ECF 16D9 70C6

-----BEGIN GEEK CODE BLOCK-----
Version: 3.12
GCS d- s++: a-- C+++ UL+++ P++ L++ E++ W++ N+ o K- w+ 
O? M++ V-- PS+ PE Y+ PGP++ t++ 5++ X+ R tv++ b+++ DI+ D+ 
G e h! r- y+ 
------END GEEK CODE BLOCK------
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Janssen <jamuraa@debian.org>:
Bug#298814; Package bittorrent. Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@tauware.de>:
Extra info received and forwarded to list. Copy sent to Michael Janssen <jamuraa@debian.org>. Full text and rfc822 format available.

Message #56 received at 298814@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@tauware.de>
To: 298814@bugs.debian.org
Subject: [sah@bittorrent.com: Re: BitTorrent package conflicts]
Date: Wed, 26 Jul 2006 10:54:02 +0200
Steven has asked about pacakge conflicts on ubuntu-devel, and the topic
about the new licence came up. I'm forwarding relevant parts of that
email to the relevant debian bugreport.

Gruesse,
	Reinhard

----- Forwarded message from Steven Hazel <sah@bittorrent.com> -----

Envelope-to: siretart@tauware.de
Delivery-date: Wed, 26 Jul 2006 01:18:13 +0200
From: Steven Hazel <sah@bittorrent.com>
To: Reinhard Tartler <siretart@tauware.de>
Subject: Re: BitTorrent package conflicts
Cc: ubuntu-devel@lists.ubuntu.com

On 7/25/06, Reinhard Tartler <siretart@tauware.de> wrote:
>
>Steven Hazel wrote:
>> Okay.  At first blush, it looks like these license problems are
>> fairly superficial -- I'll bring it up around here and see whether we
>can
>> get them resolved.
>
>That would be really great. If that happens, we can fix the package
>directly in place when some transition or other changes to dependencies
>happen.


We've got someone writing this up for our lawyers now, so hopefully this
will work out.

[...]

---- End forwarded message -----



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#298814; Package bittorrent. Full text and rfc822 format available.

Acknowledgement sent to Michael Janssen <jamuraa@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #61 received at 298814@bugs.debian.org (full text, mbox):

From: Michael Janssen <jamuraa@debian.org>
To: Reinhard Tartler <siretart@tauware.de>, 298814@bugs.debian.org
Subject: Re: Bug#298814: [sah@bittorrent.com: Re: BitTorrent package conflicts]
Date: Fri, 28 Jul 2006 22:22:07 -0700
On Wed, 26 Jul 2006, Reinhard Tartler wrote:

> Steven has asked about pacakge conflicts on ubuntu-devel, and the topic
> about the new licence came up. I'm forwarding relevant parts of that
> email to the relevant debian bugreport.
> 
> Gruesse,
> 	Reinhard

Thanks - I've located this thread on the ubuntu lists, so I'm
following it on gmane now.  I hope that this gets resolved, this is
perhaps the third or fourth time that they have headed off to their
lawyers without any response back (changing the license or any email).
I really hope it works so we can get BitTorrent 4.x into Debian and
Ubuntu.

-- 
Michael Janssen --- Jamuraa --- jamuraa@base0.net --- jamuraa@debian.org



Merged 298814 302613 309904 329707 365331. Request was from Sam Morris <sam@robots.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Janssen <jamuraa@debian.org>:
Bug#298814; Package bittorrent. Full text and rfc822 format available.

Acknowledgement sent to "Andrew Ash" <ash211@gmail.com>:
Extra info received and forwarded to list. Copy sent to Michael Janssen <jamuraa@debian.org>. Full text and rfc822 format available.

Message #68 received at 298814@bugs.debian.org (full text, mbox):

From: "Andrew Ash" <ash211@gmail.com>
To: 298814@bugs.debian.org
Subject: Update?
Date: Mon, 12 Feb 2007 20:53:29 -0500
Has there been any update to the licensing issues with Bittorrent?

This bug has also been reported to Ubuntu's bugtracker at
https://launchpad.net/bugs/58917



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Janssen <jamuraa@debian.org>:
Bug#298814; Package bittorrent. Full text and rfc822 format available.

Acknowledgement sent to Jamuraa <jamuraa@base0.net>:
Extra info received and forwarded to list. Copy sent to Michael Janssen <jamuraa@debian.org>. Full text and rfc822 format available.

Message #73 received at 298814@bugs.debian.org (full text, mbox):

From: Jamuraa <jamuraa@base0.net>
To: "Andrew Ash" <ash211@gmail.com>, 298814@bugs.debian.org
Subject: Re: Bug#298814: Update?
Date: Mon, 4 Jun 2007 01:29:05 -0500
At this stage I'm about ready to move it to non-free, as it is almost
laughable how old the bittorrent client in debian is right now.  I
have pinged the developers multiple times since their latest license
revision and got no response at all, unfortunately.   I attempt to fix
bugs myself but some of them are just a bit hard to crack.

I'll probably give it a month or two (busy time for me atm) and then
initiate a new package bittorrent-5 (or bittorrent-nonfree) in
non-free that is derived from the newest branch.  The BitTorrent Open
Source License v1.1 [1] is at least free enough to go into non-free
according to my last thread on debian-devel [2].

1. http://www.bittorrent.com/license
2. http://lists.debian.org/debian-legal/2005/10/msg00042.html

-- 
Michael Janssen --- Jamuraa --- jamuraa@base0.net --- jamuraa@debian.org


On 2/12/07, Andrew Ash <ash211@gmail.com> wrote:
> Has there been any update to the licensing issues with Bittorrent?
>
> This bug has also been reported to Ubuntu's bugtracker at
> https://launchpad.net/bugs/58917
>
>



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Janssen <jamuraa@debian.org>:
Bug#298814; Package bittorrent. (Thu, 15 Oct 2009 09:00:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to New Acct <zeruelx@hotmail.com>:
Extra info received and forwarded to list. Copy sent to Michael Janssen <jamuraa@debian.org>. (Thu, 15 Oct 2009 09:00:11 GMT) Full text and rfc822 format available.

Message #78 received at 298814@bugs.debian.org (full text, mbox):

From: New Acct <zeruelx@hotmail.com>
To: <298814@bugs.debian.org>
Subject: Version 5.3 is under GPL, so we should update
Date: Thu, 15 Oct 2009 08:27:14 +0000
Since BitTorrent version 5.3 is released under the GPL (http://www.bittorrent.com/btusers/download/directory-list#section-mac), is there any chance that this package can now be updated to that version?
Thanks,
 		 	   		  
_________________________________________________________________
Hotmail: Powerful Free email with security by Microsoft.
http://clk.atdmt.com/GBL/go/171222986/direct/01/



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Janssen <jamuraa@debian.org>:
Bug#298814; Package bittorrent. (Mon, 13 May 2013 03:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Phillip Susi <psusi@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Michael Janssen <jamuraa@debian.org>. (Mon, 13 May 2013 03:33:04 GMT) Full text and rfc822 format available.

Message #83 received at 298814@bugs.debian.org (full text, mbox):

From: Phillip Susi <psusi@ubuntu.com>
To: 298814@bugs.debian.org
Subject: Time to remove?
Date: Sun, 12 May 2013 23:31:21 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Looking at the web site, it appears this is now a proprietary windows
only product, and as an open source project, it is dead.  Is it time
to remove this package?
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with undefined - http://www.enigmail.net/

iQEcBAEBAgAGBQJRkF6JAAoJEJrBOlT6nu75DPkH/3WQyD9RGNJoY2DC1uR3gLKQ
PJoicZGA/DDQC415x0nMRjBw/4aqU0xy4Z1VWOBGSEg+wcRJAZNzHf5DIsfPii/f
yvWcuRPDLJItofg5gwHF8oWzCc+qYTuAccj4amGtF7J+9eU/1hWwurUmEry3xzXX
9HDyeQlh69nT+EgW3W3K7bNf45WKwsJyIdY6q9rqqwIOaB/fKZY0KaTq1jMH8fSm
dBXZ1qESzRQPq5823QtAVenpMs/jvy50hOk6vW7JvVUlaXLSzesYjCJmfSjNFKQK
AmK9OLcWge9izW4B0mShnjWMnWxG7iKFktxGDTrV0WE0Jlb3DaafHZhrQpCKiOw=
=s82o
-----END PGP SIGNATURE-----



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:35:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.